LAMBDA_INDEXER(1)

NAME
lambda_indexer - indexer for creating lambda-compatible databases

SYNOPSIS
lambda_indexer [OPTIONS] -d DATABASE.fasta

DESCRIPTION
Lambda is a local aligner optimized for many query sequences and searches in protein space. It is compatible to BLAST, but much faster than BLAST and many other comparable tools.

Detailed information is available in the wiki: <https://github.com/seqan/lambda/wiki>

This is the indexer_binary for creating lambda-compatible databases.

OPTIONS

-h, --help
    Display the help message.

-hh, --full-help
    Display the help message with advanced options.

--version-check BOOL
    Turn this option off to disable version update notifications of the application. One of 1, ON, TRUE, T, YES, 0, OFF, FALSE, F, and NO. Default: 1.

--version
    Display version information.

--copyright
    Display long copyright information.

-v, --verbosity INTEGER
    Display more/less diagnostic output during operation: 0 [only errors]; 1 [default]; 2 [+run-time, options and statistics]. In range [0..2]. Default: 1.

  Input Options:

-d, --database INPUT_FILE
    Database sequences. Valid filetypes are: .sam[.*], .raw[.*], .gbk[.*], .frn[.*], .fq[.*], .fna[.*], .ffn[.*], .fastq[.*], .fasta[.*], .fas[.*], .faa[.*], .fa[.*], .embl[.*], and .bam, where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

-s, --segfile INPUT_FILE
    SEG intervals for database(optional). Valid filetype is: .seg.

  Output Options:

-di, --db-index-type STRING
    Suffix array or full-text minute space. One of sa and fm. Default: fm.

--truncate-ids STRING
    Truncate IDs at first whitespace. This saves a lot of space and is irrelevant for all LAMBDA output formats other than BLAST Pairwise (.m0). One of on and off. Default: on.

  Alphabets and Translation:

-p, --program STRING
    Blast Operation Mode. One of blastn, blastp, blastx, tblastn, and tblastx. Default: blastx.

-g, --genetic-code INTEGER
    The translation table to use (not for BlastN, BlastP). See https://www.ncbi.nlm.nih.gov/Taxonomy/Utils/wprintgc.cgi?mode=c for ids (default is generic). Default: 1.

-ar, --alphabet-reduction STRING
    Alphabet Reduction for seeding phase (ignored for BLASTN). One of none and murphy10. Default: murphy10.

  Algorithm:

-a, --algorithm STRING
    Algorithm for SA construction (also used for FM; see Memory Requirements below!). One of mergesort, quicksortbuckets, quicksort, radixsort, and skew7ext. Default: radixsort.

-t, --threads INTEGER
    number of threads to run concurrently (ignored if a == skew7ext).

-td, --tmp-dir STRING
    temporary directory used by skew, defaults to working directory.

REMARKS
Please see the wiki (<https://github.com/seqan/lambda/wiki>) for more information on which indexes to chose and which algorithms to pick.

Note that the indexes created are binary and not compatible between different CPU endiannesses. Also the on-disk format is still subject to change between Lambda versions.

LEGAL
lambda_indexer Copyright: 2013-2017 Hannes Hauswedell, released under the GNU GPL v3 (or later); 2016-2017 Knut Reinert and Freie Universität Berlin, released under the 3-clause-BSDL
SeqAn Copyright: 2006-2026 Knut Reinert, FU-Berlin; released under the 3-clause BSDL.
In your academic works please cite: Hauswedell et al (2014); doi: 10.1093/bioinformatics/btu439
For full copyright and/or warranty information see --copyright.